/* Variables */
:root {
    --ff-primary: "Poppins", sans-serif;
    --ff-secondary: "VT323", monospace;
    --ff-handwriting: "Rock Salt", cursive;

    --clr-light-000: rgb(255, 255, 255);
    --clr-light-100: rgb(246, 243, 253);
    --clr-light-200: rgb(236, 233, 243);
    --clr-light-300: rgb(226, 223, 223);
    --clr-light-500: rgb(182, 179, 179);
    --clr-light-700: rgb(152, 149, 149);
    --clr-light-900: rgb(121, 120, 120);


    --clr-dark-000: rgb(0, 0, 0);
    --clr-dark-100: rgb(29, 29, 29);
    --clr-dark-300: rgb(49, 48, 48);
    --clr-dark-500: rgb(67, 66, 66);
    --clr-dark-700: rgb(85, 84, 84);
    --clr-dark-900: rgb(101, 99, 99);

    --clr-accent-green: rgba(17, 227, 63, 0.562);
    --clr-accent-blue: rgba(20, 70, 233, 0.7);
    --clr-accent-red: rgba(226, 24, 24, 0.6);
    --clr-accent-orange: rgba(243, 121, 21, 0.8);
    --clr-accent-yellow: rgb(165, 135, 14);
    --clr-accent-brown: rgb(223, 189, 135);

    --clr-accent-normal: rgb(69, 70, 70);
    --clr-accent-normal-100: rgb(128, 131, 131);
    --clr-accent-normal-300: rgb(102, 105, 105);
    --clr-accent-normal-700: rgb(86, 90, 90);
    --clr-accent-normal-900: rgb(61, 63, 63);
    
    --clr-accent-gaming: rgb(37, 6, 87);
    --clr-accent-gaming-100: rgb(89, 42, 163);
    --clr-accent-gaming-300: rgb(71, 27, 141);
    --clr-accent-gaming-700: rgb(52, 19, 102);
    --clr-accent-gaming-900: rgb(31, 4, 75);
}

/* Utilities */
.flex-column {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.flex-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

/* Body */
*, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.main-wrapper {
    height: 100vh;
    width: 100%;
    padding: 10px 0;
    position: relative;
    overflow: hidden;
    background: var(--clr-light-100);
    background-image: url(../images/simon-berger-JH_R66BihvA-unsplash.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
}

/* Header */
.header-container {
    position: absolute;
    top: 5%;
    left: 2%;
    z-index: 0;
    background-color: var(--clr-light-300);
    transform: rotate(-10deg);
    padding: 15px 20px;
    border-radius: 20px;
    cursor: pointer;
    border: 3px solid;
    border-top-color: var(--clr-light-900);
    border-right-color: var(--clr-dark-500);
    border-bottom-color: var(--clr-dark-100);
    border-left-color: var(--clr-dark-700);
    box-shadow: 5px 5px 20px 1px rgba(22, 22, 22, 0.753),
                inset 0px -3px 10px 1px var(--clr-dark-500),
                inset 0px 3px 2px 3px var(--clr-light-100);
    transition: transform 300ms ease-in-out;
}

.header-container:hover, .header-container:active {
    transform: rotate(0deg);
}

.header-hole {
    position:absolute;
    top: 10%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background: var(--clr-light-700);
    font-size: 20px;
    font-weight: 900;
    text-shadow: 0 0 5px var(--clr-dark-500);
    color: var(--clr-dark-300);
    box-shadow: 2px 5px 10px 1px var(--clr-dark-100),
                -2px -2px 3px 1px var(--clr-light-000);
}

.header-container > p {
    font-family: var(--ff-secondary);
    font-size: 150px;
    font-weight: 900;
    color: var(--clr-accent-brown);
    text-shadow: 3px 3px 7px var(--clr-dark-300),
                -3px -3px 7px var(--clr-light-000);
}

.header-about-popup {
    position: absolute;
    bottom: 15%;
    left: 5%;
    align-items: flex-start;
    width: 300px;
    gap: 30px;
    font-family: var(--ff-primary);
    color: var(--clr-dark-500);
    opacity: 0;
    transform: translatey(100px);
    transition: opacity 300ms ease-in-out, transform 300ms ease-in-out;
}

.header-about-popup.headerActive {
    opacity: 1;
    transform: translatey(0);
}

/* Main */
main {
    z-index: 1;
}
.calc-wrapper {
    justify-content: space-between;
    border-radius: 50px;
    padding: 40px 35px;
    width: 90vw;
    max-width: 400px;
    height: 700px;
    background: var(--clr-accent-normal);
    overflow: hidden;
    border: 1px solid;
	border-top-color:var(--clr-accent-normal-300);
	border-right-color:var(--clr-accent-normal-700);
	border-bottom-color:var(--clr-accent-normal-900);
	border-left-color:var(--clr-accent-normal-700);
    box-shadow: inset 0px -11px 30px rgba(19, 18, 18, 0.8),
				inset 0px -7px 8px rgba(14, 13, 13, 0.7),
				inset 0px -1px 1px rgba(12, 12, 12, 0.4),
				inset 0px 20px 3px rgba(109, 106, 106, 0.2),
				-5px -5px 30px 1px rgba(36, 34, 34, 0.5),
				0px 17px 27px rgba(0,0,0,0.7),
				5px 5px 10px 1px rgba(0,0,0,0.4),
				inset 1px 1px 1px rgba(46, 45, 45, 0.5),
				inset 0px 2px 2px rgba(0,0,0,0.2);
    transition: background 300ms ease-in-out;
}

/* gaming mode */
.main-wrapper.gaming-mode .calc-wrapper{
    background: var(--clr-accent-gaming);
    border-top-color:var(--clr-accent-gaming-300);
	border-bottom-color:var(--clr-accent-gaming-700);
	border-left-color:var(--clr-accent-gaming-900);
	border-right-color:var(--clr-accent-gaming-700);
}

/* Calculator Top */
.calc-top {
    color: var(--clr-light-500);
    width: 100%;
    margin-bottom: 30px;
    gap: 15px;
    font-family: var(--ff-primary);
    font-size: 10px;
    letter-spacing: 1px;
}

.switch-mode-container {
    background-color: var(--clr-accent-normal-900);
    width: 70px;
    height: 33px;
    border-radius: 20px;
    position: relative;
    overflow: hidden;
    border:3px solid;
    border-top-color:var(--clr-accent-normal-900);
	border-right-color:var(--clr-accent-normal-700);
    border-bottom-color:var(--clr-accent-normal-100);
	border-left-color:var(--clr-accent-normal-700);
	box-shadow: 0px 2px 8px 1px var(--clr-accent-normal-300),
                inset 0px -3px 10px rgba(0,0,0,0.05),
				inset 0px 2px 3px 1px rgba(0,0,0,0.2);
    transition: border 300ms ease-in-out, box-shadow 300ms ease-in-out, background 300ms ease-in-out;
}

/* gaming mode */
.main-wrapper.gaming-mode .switch-mode-container {
    background-color: var(--clr-accent-gaming-700);
    border-top-color:var(--clr-accent-gaming-900);
	border-right-color:var(--clr-accent-gaming-700);
    border-bottom-color:var(--clr-accent-gaming-100);
	border-left-color:var(--clr-accent-gaming-700);
	box-shadow: 0px 2px 2px 2px var(--clr-accent-gaming-300),
                inset 0px -3px 10px rgba(0,0,0,0.05),
				inset 0px 2px 3px 1px rgba(0,0,0,0.2);
}

.switch-mode-btn {
    background-color: var(--clr-accent-normal-300);
    height: 18px;
    width: 30px;
    border-radius: 20px;
    border: none;
    color: var(--clr-light-900);
    text-shadow: 0 0 3px var(--clr-dark-000);
    box-shadow: 1px 2px 5px 1px rgba(27, 27, 27, 0.8);
    position:absolute;
    top: 50%;
    left: 50%;
    transform: translate(-90%, -50%);
    transition: transform 200ms ease-in-out, box-shadow 200ms ease-in-out, background-color 200ms ease-in-out;
}

/* gaming mode */
.main-wrapper.gaming-mode .switch-mode-btn {
    transform: translate(-10%, -50%);
    box-shadow: -1px 2px 5px 1px rgba(27, 27, 27, 0.8);
    background-color: var(--clr-accent-gaming-300);
}

/* Calculator Screen */
.calc-screen {
    position: relative;
    border-radius: 20px;
    height: 40%;
    width: 100%;
    padding: 10px 20px;
    overflow: hidden;
    background-color: var(--clr-light-700);
    font-family: var(--ff-secondary);
    letter-spacing: 1px;
    color: var(--clr-dark-500);
    border:5px solid;
    border-top-color:var(--clr-accent-normal-900);
	border-right-color:var(--clr-accent-normal-700);
    border-bottom-color:var(--clr-accent-normal-100);
	border-left-color:var(--clr-accent-normal-700);
	box-shadow: 0px 3px 5px 2px var(--clr-accent-normal-300),
                inset 0px -2px 10px rgba(0,0,0,0.8),
				inset 0px 2px 3px 1px rgba(0,0,0,0.8);
    transition: border 300ms ease-in-out, box-shadow 300ms ease-in-out;
}

/* gaming mode */
.main-wrapper.gaming-mode .calc-screen {
    border-top-color:var(--clr-accent-gaming-900);
	border-right-color:var(--clr-accent-gaming-700);
    border-bottom-color:var(--clr-accent-gaming-100);
	border-left-color:var(--clr-accent-gaming-700);
	box-shadow: 0px 5px 10px 2px var(--clr-accent-gaming-300),
                inset 0px -2px 10px rgba(0,0,0,0.8),
				inset 0px 2px 3px 1px rgba(0,0,0,0.8);
}

.calc-screen > div {
    opacity: 0;
    transition: opacity 300ms ease-in-out;
}

.calc-screen.turnOn > div {
    opacity: 1;
}

.calc-screen .calc-mode {
    height: 15%;
    width: 100%;
    font-size: 12px;
    align-items: flex-start;
}

.calc-screen .calc-mode p {
    background-color: var(--clr-dark-500);
    color: var(--clr-light-500);
    padding: 2px 8px;
    border-radius: 5px;
}

.calc-screen .calc-expression {
    position: relative;
    height: 42.5%;
    width: 100%;
    font-size:50px;
    justify-content: flex-start;
    align-items: center;
}

.calc-screen .calc-answer {
    height: 42.5%;
    width: 100%;
    font-size: 30px;
    align-items: flex-end;
    text-align: end;
}

#calcExpression{
    display: inline-block;
}

#calcScreenCursor {
    background-color: var(--clr-dark-500);
    display: inline-block;
    height: 30px;
    width: 5px;
    margin-left: 5px;
    opacity: 1;
    animation: blink 800ms infinite;
}

@keyframes blink {
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

#aboutScreen {
    position: absolute;
    top: 0%;
    padding: 150px 0;
    width: 100%;
    text-align: center;
    font-size: 30px;
    display: none;
}
#aboutScreen.aboutScreenActive {
    display: block;
    transform: translateY(0);
    animation: scroll 5000ms ease-in-out forwards;
}
@keyframes scroll {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(-330px);
    }
}

/* Calculator Buttons */
.calc-btn-container {
    justify-content: flex-end;
    height: 100%;
    width: 100%;
    gap: 15px;
}

.calc-btn-container > .flex-row {
    width: 100%;
    height: 50px;
    gap: 10px;
}

.calc-btn {
    flex-basis: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    font-family: var(--ff-primary);
    color: var(--clr-light-900);
    background-color: var(--clr-light-200);
    font-size: 14px;
    position: relative;
    border:1px solid;
	border-bottom-color:rgba(0,0,0,1);
	border-top-color:rgba(0,0,0,0.8);
	border-right-color:rgba(0,0,0,0.9);
	border-left-color:rgba(0,0,0,0.9);
	box-shadow:inset 0px -2px 3px 3px rgba(37, 37, 36, 0.5),
				0px 3px 5px 1px rgba(0,0,0,0.5),
				inset 0px -1px 1px rgba(49, 49, 49, 0.5),
				inset 0px -2px 2px rgba(41, 41, 41, 0.8),
				inset 0px -8px 2px rgba(66, 65, 65, 0.3),
				0px 0px 6px 2px rgba(48, 46, 46, 0.3);
}

.calc-btn:active {
    top:3px;
	box-shadow:inset 0px -2px 3px 3px rgba(44, 44, 44, 0.5),
				0px -1px 2px rgba(0,0,0,0.8),
				inset -1px 1px 2px rgba(65, 63, 63, 0.9),
				inset 0px -1px 1px rgba(49, 49, 49, 0.5),
				inset 0px -2px 2px rgba(41, 41, 41, 0.8),
				inset 0px -8px 2px rgba(66, 65, 65, 0.3),
				0px -3px 6px 2px rgb(48, 47, 47);
}

/* gaming mode */
.main-wrapper.gaming-mode .calc-btn:active {
    top:3px;
	box-shadow:inset 0px -2px 3px 3px rgba(44, 44, 44, 0.5),
				0px -1px 2px var(--clr-accent-gaming-700),
				inset -1px 1px 2px rgba(65, 63, 63, 0.9),
				inset 0px -1px 1px rgba(49, 49, 49, 0.5),
				inset 0px -2px 2px rgba(41, 41, 41, 0.8),
				inset 0px -8px 2px rgba(66, 65, 65, 0.3),
				0px -3px 6px 2px var(--clr-accent-gaming-900);
}

.calc-btn:focus, .calc-btn:hover {
    color: var(--clr-accent-yellow);
    text-shadow: 0 0 8px rgb(255, 238, 0);
}

.calc-btn-row5.flex-row {
    height: 113px;
    width: 100%;
}

.calc-btn-row5-col1 {
    flex-basis: 60%;
    gap: 13px;
}

.calc-btn-row5-col1-top {
    gap: 10px;
    width: 100%;
}

.calc-btn-row5-col1-bottom {
    width: 100%;
}

.calc-btn-row5 > .calc-btn {
    flex-basis: 18%;
    height: 100%;
}

.calc-btn-row5-col1 .calc-btn {
    height: 50px;
    width: 100%;
}

.btn-power {
    border-radius: 50%;
    color: var(--clr-light-300);
}

#btnOff {
    background-color: var(--clr-accent-red);
}

#btnOn {
    background-color: var(--clr-accent-blue);
}

#btnAbout {
    background-color: var(--clr-light-100);
    border-radius: 50%;
}

.btn-upper {
    background-color: var(--clr-accent-orange);
    color: var(--clr-light-300);
    border-radius: 50%;
}

/* Footer */
/* Paper */
.paper {
    position: absolute;
    bottom: 15%;
    right: 5%;
    height: 500px;
    width: 400px;
    background: var(--clr-light-200);
    transform: rotateZ(5deg);
    border-radius: 5px 5px 5px 5px;
    box-shadow: 1px 1px 3px var(--clr-dark-900);
    overflow: hidden;
    transition: transform 300ms ease-in-out;
    padding: 50px 30px;
}

.paper:hover {
    transform: rotateZ(0deg);
}

.paper-lines {
    width: 100%;
    height: 100%;
    border-bottom: 1px solid rgba(51, 50, 50, 0.342);
    justify-content: flex-start;
    padding: 0px 10px;
    font-family: var(--ff-handwriting);
}

.solution-ans {
    justify-content: flex-end;
}

/* Pen */
.pen-wrapper {
    position: absolute;
    bottom: 15%;
    left: 30%;
    filter: drop-shadow(5px 10px 5px rgba(24, 23, 23, 0.9));
    transform: rotateZ(-3deg);
    transition: transform 300ms ease-in-out;
}

.pen-wrapper:hover {
    transform: rotateZ(0deg);
}
.pen {
    position: absolute;
    bottom: 15%;
    left: 30%;
    height: 550px;
    width: 30px;
    background: var(--clr-light-200);
    
    clip-path: polygon(50% 100%, 0% 90%,  0% 0%, 100% 0%,  100% 90%);
    overflow: hidden;
    border-top-right-radius: 50px;
    border-top-left-radius: 50px;
    justify-content: space-between;
}

.pen-top {
    height: 15%;
    margin-bottom: -30px;
    width: 100%;
    background-color: rgb(173, 9, 9);
    z-index: 0;
    justify-content: flex-end;
    box-shadow: inset -10px 0px 5px 1px rgba(0, 0, 0, 0.418);
}

.pen-top-line {
    width: 100%;
    height: 63%;
    background-color: rgb(43, 23, 1);
    border-top-right-radius: 8px;
    border-top-left-radius: 8px;
}

.pen-mid {
    height: 105%;
    margin-bottom: -25px;
    width: 100%;
    background-color: rgb(226, 122, 36);
    border-top-right-radius: 8px;
    border-top-left-radius: 8px;
    z-index: 1;
    box-shadow: inset -10px 0px 5px 1px rgba(0, 0, 0, 0.28);
}

.pen-mid-lines1 {
    width: 50%;
    height: 100%;
}

.pen-mid-lines2 {
    width: 50%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.05);
    border: 0.01px solid rgba(0, 0, 0, 0.3);
    
}

.pen-mid-lines2 span {
    writing-mode:vertical-rl;
    text-orientation:sideways-right;
    margin: 30px 0;
    font-size: 10px;
    background: var(--clr-dark-300);
    color: var(--clr-light-500);
    padding: 10px 0px;
    border-radius: 10px;
    letter-spacing: 1.5px;
    opacity: 0.75;
    font-family: var(--ff-primary);
}

.pen-mid-lines3 {
    width: 50%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.1);
}

.pen-bottom {
    height: 14%;
    width: 100%;
    background-color: rgb(184, 146, 115);
    border-top-right-radius: 8px;
    border-top-left-radius: 8px;
    z-index: 2;
    justify-content: flex-end;
    box-shadow: inset -10px 0px 5px 1px rgba(0, 0, 0, 0.418);
}

.pen-nib {
    height: 25px;
    width: 25px;
    background-color: rgb(20, 20, 20);
}

@media (max-width: 1100px) {
    header.flex-column, footer {
        display: none;
    }
}
@media (max-width: 760px) {
    .calc-wrapper {
        width: 98vw;
        height: 650px;
    }
    .calc-top {
        margin-bottom: 20px;
    }
    .calc-screen {
        margin-bottom: 10px;
    }
    .calc-btn {
        height: 80%;
    }
}